#castle basement message #3
from eventAPI import *
from APIUtils import *

rtcastle0West = 0

def fireEvent(e):
   rtcastle0West = getTag(e, "rtcastle0West")
   if (rtcastle0West == 1):
      return 1
   else:
      showPicture(e, "Blue_Vortex")
      showMessage(e, ["You passage is blocked by a strange barrier.", "", "A bodiless voice speaks to you."])
      showMessage(e, ["From the west there came ten thousand beasts.", "", "With claw and hoof and breath of fire.", "", "From walls of stone the king's men cowered.", "", "Three heroes left to face the tide.", "", "The first stepped forward and with one strike,", "a thousand of the beasts did perish", "", "The second hero's strike was true.", "Twice and one half died as the first hero slew.", "", "The third hero slayed all that remained", "save for one and his name is lost in time.", ""])
      showMessage(e, ["Give the number that the third hero slew."])
   return 0